Package org.eclipse.emf.cdo.common.model

## Interface CDOPackageRegistry

- All Superinterfaces:
    `org.eclipse.emf.ecore.EPackage.Registry`, `java.util.Map<java.lang.String,​java.lang.Object>`
  All Known Subinterfaces:
    `InternalCDOPackageRegistry`
  All Known Implementing Classes:
    `DelegatingCDOPackageRegistry`

      public interface CDOPackageRegistry
      extends org.eclipse.emf.ecore.EPackage.Registry

  An EMF `package registry` that is used by CDO `repositories` and `sessions`.
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.ecore.EPackage.Registry

      `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.ecore.EEnumLiteral` | `getEnumLiteralFor​(org.eclipse.emf.common.util.Enumerator value)` |
    `CDOPackageInfo` | `getPackageInfo​(org.eclipse.emf.ecore.EPackage ePackage)` |
    `CDOPackageInfo[]` | `getPackageInfos()` | Returns all package infos that are registered in this package registry.
    `CDOPackageUnit` | `getPackageUnit​(java.lang.String id)` |
    `CDOPackageUnit` | `getPackageUnit​(org.eclipse.emf.ecore.EPackage ePackage)` |
    `CDOPackageUnit[]` | `getPackageUnits()` | Returns all package units that are registered in this package registry.
    `CDOPackageUnit[]` | `getPackageUnits​(long startTime, long endTime)` |
    `java.util.Map<org.eclipse.emf.ecore.EClass,​java.util.List<org.eclipse.emf.ecore.EClass>>` | `getSubTypes()` |
    `boolean` | `isReplacingDescriptors()` |
    `java.lang.Object` | `putEPackage​(org.eclipse.emf.ecore.EPackage ePackage)` | Registers an `EPackage` with this package registry.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage.Registry

      `getEFactory, getEPackage`

    - ### Methods inherited from interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

- - ### Method Detail

    - #### isReplacingDescriptors

          boolean isReplacingDescriptors()

    - #### putEPackage

          java.lang.Object putEPackage​(org.eclipse.emf.ecore.EPackage ePackage)

      Registers an `EPackage` with this package registry.

    - #### getPackageUnit

          CDOPackageUnit getPackageUnit​(java.lang.String id)

      Since:
        3.0

    - #### getPackageUnit

          CDOPackageUnit getPackageUnit​(org.eclipse.emf.ecore.EPackage ePackage)

    - #### getPackageUnits

          CDOPackageUnit[] getPackageUnits()

      Returns all package units that are registered in this package registry.
      Since:
        3.0

    - #### getPackageUnits

          CDOPackageUnit[] getPackageUnits​(long startTime,
                                           long endTime)

      Since:
        3.0

    - #### getPackageInfo

          CDOPackageInfo getPackageInfo​(org.eclipse.emf.ecore.EPackage ePackage)

    - #### getPackageInfos

          CDOPackageInfo[] getPackageInfos()

      Returns all package infos that are registered in this package registry.

    - #### getSubTypes

          java.util.Map<org.eclipse.emf.ecore.EClass,​java.util.List<org.eclipse.emf.ecore.EClass>> getSubTypes()

      Since:
        4.0

    - #### getEnumLiteralFor

          org.eclipse.emf.ecore.EEnumLiteral getEnumLiteralFor​(org.eclipse.emf.common.util.Enumerator value)

      Since:
        4.0